<ion-app>
  <ion-split-pane contentId="main-content">
    <ion-menu contentId="main-content" type="overlay">
      <ion-content>
        
        <ion-list id="inbox-list">  
          <ion-list-header>
            <ion-label>{{tipo}}</ion-label>
          </ion-list-header>

          <ion-menu-toggle auto-hide="false" *ngFor="let p of usuarioPages; let i = index" >
            <ion-item routerDirection="root"[routerLink]="[p.url]" lines="none" detail="false"
              routerLinkActive="selected" *ngIf="tipo === 'Usuario'">
              <ion-icon slot="start" name="person"></ion-icon>
              <ion-label>{{ p.title }}</ion-label>
            </ion-item>
          </ion-menu-toggle>

          <ion-menu-toggle auto-hide="false" *ngFor="let p of tecnicoPages; let i = index">
            <ion-item routerDirection="root" [routerLink]="[p.url]" lines="none" detail="false"
              routerLinkActive="selected"  *ngIf="tipo === 'Tecnico'">
              <ion-icon slot="start" [ios]="p.icon + '-outline'" [md]="p.icon + '-sharp'"></ion-icon>
              <ion-label>{{ p.title }}</ion-label>
            </ion-item>
          </ion-menu-toggle>


          <ion-menu-toggle auto-hide="false" *ngFor="let p of coordinadorPages; let i = index">
            <ion-item routerDirection="root" [routerLink]="[p.url]" lines="none" detail="false"
              routerLinkActive="selected" *ngIf="tipo === 'Coordinador'">
              <ion-icon slot="start" [ios]="p.icon + '-outline'" [md]="p.icon + '-sharp'"></ion-icon>
              <ion-label>{{ p.title }}</ion-label>
            </ion-item>
          </ion-menu-toggle>


          <ion-menu-toggle auto-hide="false" >
            <ion-item (click)="cerrarSesion()" lines="none" detail="false">
              <ion-icon slot="start" name="exit"></ion-icon>
              <ion-label>Cerrar Sesion</ion-label>
            </ion-item>
          </ion-menu-toggle>

        </ion-list>
      </ion-content>
    </ion-menu>
    <ion-router-outlet id="main-content"></ion-router-outlet>
  </ion-split-pane>
</ion-app>